import 'package:json_annotation/json_annotation.dart';

import '../../../apiResponse.dart';

part 'authenticateResponse.g.dart';

@JsonSerializable()
class AuthenticateResponse extends ApiResponse {

  String sessionId;
  int personType;
  int personId;
  int klasseId;

  AuthenticateResponse(this.sessionId, this.personType, this.personId, this.klasseId);

  factory AuthenticateResponse.fromJson(Map<String, dynamic> json) => _$AuthenticateResponseFromJson(json);
  Map<String, dynamic> toJson() => _$AuthenticateResponseToJson(this);
}